package commandctrl

import (
	"context"
	tea "github.com/charmbracelet/bubbletea"
	"lmika.dev/cmd/dynamo-browse/internal/dynamo-browse/services"
)

type IterProvider interface {
	Iter(ctx context.Context, category string) services.HistoryProvider
}

type UIStateProvider interface {
	SelectedItemIndex() int
	SetSelectedItemIndex(newIdx int) tea.Msg
}
